/*
 * Concatenate filenames.
 * $Id$
 * Copyright (c) 1997 by Tycho Softworks.
 * For conditions of distribution and reuse review product license.
 */

#include <std/files.h>
#include <other/string.h>

char	*fncat(char *prefix, const char *suffix)
{
	char	*t = tail(prefix);

	if(!*prefix)
	{
		strcpy(prefix, suffix);
		return prefix;
	};
	
	if(*(--t) != '/')
	{
		*(++t) = '/';
		*(++t) = 0;
	}

	strcat(prefix, suffix);
	return prefix;
}
	
